[arch-commits] Commit in gnokii/trunk (PKGBUILD smsd-mysql-5.1.35.patch)

Andrea Scarpino andrea at archlinux.org
Thu Jun 18 18:06:19 EDT 2009


    Date: Thursday, June 18, 2009 @ 18:06:19
  Author: andrea
Revision: 42886

upgpkg: gnokii 0.6.27-6

Added:
  gnokii/trunk/smsd-mysql-5.1.35.patch
Modified:
  gnokii/trunk/PKGBUILD

-------------------------+
 PKGBUILD                |   21 ++++++++++++++-------
 smsd-mysql-5.1.35.patch |   11 +++++++++++
 2 files changed, 25 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-18 21:55:03 UTC (rev 42885)
+++ PKGBUILD	2009-06-18 22:06:19 UTC (rev 42886)
@@ -5,7 +5,7 @@
 
 pkgname=gnokii
 pkgver=0.6.27
-pkgrel=5
+pkgrel=6
 pkgdesc="Tools and user space driver for use with mobile phones"
 arch=('i686' 'x86_64')
 url="http://www.gnokii.org/"
@@ -15,22 +15,29 @@
 optdepends=('gtk2: xgnokii GUI'
             'libmysqlclient: smsd mysql backend'
 	    'postgresql-libs: smsd postgresql backend')
-backup=(etc/gnokiirc)
+backup=('etc/gnokiirc')
 options=('!libtool' '!makeflags')
-source=(http://www.gnokii.org/download/$pkgname/$pkgname-${pkgver}.tar.bz2 gnokii.patch)
+source=(http://www.gnokii.org/download/$pkgname/$pkgname-${pkgver}.tar.bz2
+	'gnokii.patch' 'smsd-mysql-5.1.35.patch')
 md5sums=('fd0ae7996a2e2a2c29e9f3c625df8f3d'
-         '4d764727686ee34bc73489c8b1321c82')
+         '4d764727686ee34bc73489c8b1321c82'
+         'fb7da45d778c1f45031f79ce531a11f9')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
 
   # FS#13249
   sed -i 's|cellphone|phone|' xgnokii/xgnokii.desktop.in || return 1
+
   patch -Np1 -i "${srcdir}/gnokii.patch" || return 1
+  patch -Np1 -i ${srcdir}/smsd-mysql-5.1.35.patch
 
-  ./configure --prefix=/usr --sysconfdir=/etc --enable-security || return 1
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc \
+    --enable-security \
+    --disable-unix98test || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
-  install -m755 -d "${pkgdir}/etc"
-  install -m644 Docs/sample/gnokiirc "${pkgdir}/etc/gnokiirc" || return 1
+
+  install -Dm644 Docs/sample/gnokiirc "${pkgdir}/etc/gnokiirc" || return 1
 }

Added: smsd-mysql-5.1.35.patch
===================================================================
--- smsd-mysql-5.1.35.patch	                        (rev 0)
+++ smsd-mysql-5.1.35.patch	2009-06-18 22:06:19 UTC (rev 42886)
@@ -0,0 +1,11 @@
+--- gnokii-0.6.27/smsd/mysql.c~	2009-06-18 23:56:18.000000000 +0200
++++ gnokii-0.6.27/smsd/mysql.c	2009-06-18 23:56:25.000000000 +0200
+@@ -33,7 +33,7 @@
+ #include <string.h>
+ #include <stdlib.h>
+ #include <glib.h>
+-#include <mysql.h>
++#include <mysql/mysql.h>
+ #include "smsd.h"
+ #include "gnokii.h"
+ #include "compat.h"



More information about the arch-commits mailing list